package labss.lang.il.model;

/**
 * E' l'intefaccia comune a tutte le istruzioni del linguaggio.<p/>
 * Le classi che rappresentano una istruzione devono
 * implementare i metodi per essere eseguite e stampate.
 *
 * @author Riccardo Solmi
 * @version 1.0
 * @see LanguageFactory
 */

public interface Statement extends LanguageEntity {
    /**
     * Esegue l'istruzione.
     * @throws IllegalArgumentException se si verifica a runtime un
     *         errore di tipo.
     * @throws IllegalStateException se si tenta di accedere ad una
     *         variabile non inizializzata.
     */
	public void execute();
}