package labss.lang.il.model.impl;

import java.io.*;

import labss.lang.il.model.*;

/**
 * @author Riccardo Solmi
 */

public class AssignmentStatement implements Statement {
	private Variable id;
	private Expression exp;

  public AssignmentStatement(Expression id, Expression exp) {
    this.id = (Variable)id;
    this.exp = exp;
  }

  public void prettyPrint(PrintStream out) {
    id.prettyPrint(out);
    out.print(" = ");
    exp.prettyPrint(out);
    out.println(";");
  }

  public void execute() {
    id.setValue(exp.evaluate());
  }
}