package labss.lang.il.model.impl;

import java.io.*;

import labss.lang.il.model.*;

/**
 * @author Riccardo Solmi
 */

public class IfElseStatement implements Statement {
	private Expression exp;
	private Statement thenStm;
	private Statement elseStm;

  public IfElseStatement(Expression exp, Statement thenStm, Statement elseStm) {
    this.exp = exp;
    this.thenStm = thenStm;
    this.elseStm = elseStm;
  }

  public void prettyPrint(PrintStream out) {
    out.print("if (");
    exp.prettyPrint(out);
    out.println(") {");
    thenStm.prettyPrint(out);
    out.println("} else {");
    elseStm.prettyPrint(out);
    out.println("}");
  }

  public void execute() {
    if (exp.evaluate().booleanValue())
      thenStm.execute();
    else
      elseStm.execute();
  }
}